Productsup
API referenceV1Export template attribute

Bulk update export template attributes

Atomically update multiple export template attributes in a single operation. This endpoint allows for the simultaneous modification of up to 1000 fields, ensuring all changes are applied as a single unit. requestKey must be a unique identifier for each entry.

PATCH
/V1/export-templates/{id}/attributes/bulk-update

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://export-template-api.productsup.com/V1/export-templates/string/attributes/bulk-update" \  -H "Content-Type: application/json" \  -d '{    "entries": [      {        "requestKey": "field1",        "exportField": {          "id": 995817,          "order": 5,          "alias": "Product Color",          "flag": "colors",          "isDefaultTrackingColumn": true,          "isUniqueColumn": true,          "deltaIgnore": true,          "deltaKey": true,          "automapIgnore": true,          "description": "some description",          "format": "String (Unicode Characters)",          "examples": [            "some example"          ]        }      },      {        "requestKey": "field2",        "exportField": {          "id": 995818,          "order": 1,          "mandatory": false        }      },      {        "requestKey": "field3",        "exportField": {          "id": 995819,          "order": 2,          "description": "Product size information"        }      }    ]  }'
{
  "data": [
    {
      "errors": [],
      "requestKey": "field1",
      "details": {
        "entityId": 995817
      }
    },
    {
      "errors": [],
      "requestKey": "field2",
      "details": {
        "entityId": 995818
      }
    },
    {
      "errors": [],
      "requestKey": "field3",
      "details": {
        "entityId": 995819
      }
    }
  ]
}
{
  "errors": {
    "message": "Bulk update failed for one or more export template attributes",
    "errors": [
      "Export Template Attribute with id 99999 not found."
    ]
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}

How is this guide?